package com.yonge.cooleshow.cms.dal.dao;

import java.util.List;
import java.util.Map;

import com.yonge.cooleshow.cms.dal.entity.SysNewsType;
import com.yonge.cooleshow.cms.dal.entity.SysNewsTypeTree;
import com.yonge.cooleshow.cms.dto.SysNewsTypeDto;
import com.yonge.toolset.mybatis.dal.BaseDAO;

public interface SysNewsTypeDao extends BaseDAO<Long, SysNewsType> {

	// 根据父级查询子集
	List<SysNewsTypeTree> queryByParentId(Long parentId);

    List<SysNewsTypeDto> queryAppPage(Map<String, Object> params);

	int queryAppCount(Map<String, Object> params);
}